<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Retry\Contracts;

use PpPhp\Core\Platform\Event\Retry\RetryContext;

interface RetryPolicyInterface
{
    public function name(): string;
    public function shouldRetry(RetryContext $context): bool;
    public function nextDelaySeconds(RetryContext $context): int;
}
